## Class Auth_OpenID_AX_Message

Description

Abstract class containing common code for attribute exchange messages.

Located in /Auth/OpenID/AX.php (line 84)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_AX_Message

Direct descendents

Class | Description
--- | ---
Auth_OpenID_AX_FetchRequest | An attribute exchange 'fetch_request' message. This message is sent by a relying party when it wishes to obtain attributes about the subject of an OpenID authentication request.
Auth_OpenID_AX_KeyValueMessage | An abstract class that implements a message that has attribute keys and values. It contains the common code between fetch_response and store_request.
Auth_OpenID_AX_StoreResponse | An indication that the store request was processed along with this OpenID transaction. Use make(), NOT the constructor, to create response objects.

Variable Summary
mixed $mode
mixed $ns_alias
mixed $ns_uri
Variables
mixed $mode = null (line 95)

mode: The type of this attribute exchange message. This must be overridden in subclasses.

Redefined in descendants as:

- Auth_OpenID_AX_FetchRequest::$mode
- Auth_OpenID_AX_FetchResponse::$mode
- Auth_OpenID_AX_StoreRequest::$mode

mixed $ns_alias = 'ax' (line 89)

ns_alias: The preferred namespace alias for attribute exchange

messages

Redefinition of:

Auth_OpenID_Extension::$ns_alias

mixed $ns_uri = Auth_OpenID_AX_NS_URI (line 97)

Redefinition of:

Auth_OpenID_Extension::$ns_uri
  ns_uri: The namespace to which to add the arguments for this

Methods

#### Inherited Methods

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2